### gamemodes/end_game

# nuke win
execute if score .nuke streak matches ..0 if entity @p[tag=nuker,team=redTeam] run title @a title {"text":"Red Team Wins!","color":"red"}
execute if score .nuke streak matches ..0 if entity @p[tag=nuker,team=blueTeam] run title @a title {"text":"Blue Team Wins!","color":"blue"}
execute if score .nuke streak matches ..0 if entity @p[tag=nuker,team=] run title @a title ["",{"selector":"@p[tag=nuker]","color":"dark_green"},{"text":" Wins","color":"dark_green"}]
time set noon

# clear scores
scoreboard players set .spRed streak -1
scoreboard players set .spBlue streak -1
scoreboard players set .bbRed streak -1
scoreboard players set .bbBlue streak -1
scoreboard players reset .nuke streak

# remove tags
tag @a[tag=targeter] remove targeter
tag @a[tag=nuker] remove nuker

# clear effects
effect clear @a levitation
effect clear @a resistance

# clear knowledge books and gr/dm
execute unless score .gamemode bookKeeping matches 8 run clear @a knowledge_book{streak:1b}
clear @a carrot_on_a_stick{streak:1b}

# kill streaks
kill @e[tag=streak]

# reset streak scores
execute as @a[scores={streakTot=1..3}] run function cod:gamemodes/streak/setup/reset_streak