### gamemodes/streak/death_streak

# increment cumulative streak
execute if score @s streakNum matches 1..3 run scoreboard players operation @s streak = @s streakOne
execute if score @s streakNum matches 2..3 run scoreboard players operation @s streak += @s streakTwo
execute if score @s streakNum matches 3 run scoreboard players operation @s streak += @s streakThree
scoreboard players add @s[scores={streakNum=1..3}] streakNum 1
execute if score @s streakNum > @s streakTot run scoreboard players set @s streakNum 1

# 3 kill spyplane
give @s[scores={streak=3}] knowledge_book{display:{Name:'{"text":"Spy Plane","color":"gold","italic":true}'},streak:1b,sp:1b,Recipes:["cod:gamemodes/streak/sp"]}
tellraw @s[scores={streak=3}] {"text":"\n3 Kill Spy Plane ready for deployment \n","color":"gold"}

# 5 kill care package
give @s[scores={streak=5,napalm=0}] knowledge_book{display:{Name:'{"text":"Care Package","color":"gold","italic":true}'},streak:1b,cp:1b,Recipes:["cod:gamemodes/streak/cp"]}
tellraw @s[scores={streak=5,napalm=0}] {"text":"\n5 Kill Care Package ready for deployment \n","color":"gold"}

# 5 kill napalm
give @s[scores={streak=5,napalm=1}] knowledge_book{display:{Name:'{"text":"Napalm Strike","color":"gold","italic":true}'},streak:1b,ns:1b,Recipes:["cod:gamemodes/streak/ns"]}
tellraw @s[scores={streak=5,napalm=1}] {"text":"\n5 Kill Napalm Strike awaiting orders \n","color":"gold"}

# 6 kill sentry gun
give @s[scores={streak=6,mortar=0}] knowledge_book{display:{Name:'{"text":"Sentry Gun","color":"gold","italic":true}'},streak:1b,sg:1b,Recipes:["cod:gamemodes/streak/sg"]}
tellraw @s[scores={streak=6,mortar=0}] {"text":"\n6 Kill Sentry Gun ready for deployment \n","color":"gold"}

# 6 kill mortar team
give @s[scores={streak=6,mortar=1}] knowledge_book{display:{Name:'{"text":"Mortar Team","color":"gold","italic":true}'},streak:1b,mt:1b,Recipes:["cod:gamemodes/streak/mt"]}
tellraw @s[scores={streak=6,mortar=1}] {"text":"\n6 Kill Mortar Team awaiting orders \n","color":"gold"}

# 7 kill attack helicopter
give @s[scores={streak=7}] knowledge_book{display:{Name:'{"text":"Attack Helicopter","color":"gold","italic":true}'},streak:1b,ah:1b,Recipes:["cod:gamemodes/streak/ah"]}
tellraw @s[scores={streak=7}] {"text":"\n7 Kill Attack Helicopter ready for deployment \n","color":"gold"}

# 8 kill blackbird
give @s[scores={streak=8,rt=0}] knowledge_book{display:{Name:'{"text":"Blackbird","color":"gold","italic":true}'},streak:1b,bb:1b,Recipes:["cod:gamemodes/streak/bb"]}
tellraw @s[scores={streak=8,rt=0}] {"text":"\n8 Kill Blackbird ready for deployment \n","color":"gold"}

# 8 kill rolling thunder
give @s[scores={streak=8,rt=1}] knowledge_book{display:{Name:'{"text":"Rolling Thunder","color":"gold","italic":true}'},streak:1b,rt:1b,Recipes:["cod:gamemodes/streak/rt"]}
tellraw @s[scores={streak=8,rt=1}] {"text":"\n8 Kill Rolling Thunder awaiting orders \n","color":"gold"}

# 11 kill attack dogs
give @s[scores={streak=11}] knowledge_book{display:{Name:'{"text":"Attack Dogs","color":"gold","italic":true}'},streak:1b,ad:1b,Recipes:["cod:gamemodes/streak/ad"]}
tellraw @s[scores={streak=11}] {"text":"\n11 Kill Attack Dogs ready for deployment \n","color":"gold"}

# reset streak score
scoreboard players set @s streak 0
execute if score @s streakNum matches 1 run scoreboard players operation @s streak -= @s streakOne
execute if score @s streakNum matches 2 run scoreboard players operation @s streak -= @s streakTwo
execute if score @s streakNum matches 3 run scoreboard players operation @s streak -= @s streakThree