# scoreboard for universal variables
scoreboard objectives add death deathCount
scoreboard objectives add entityId dummy
scoreboard objectives add constant dummy
scoreboard players set .100 constant 100
scoreboard players set .2 constant 2
scoreboard players set .31 constant 31

# scoreboard for gamemode variables
scoreboard objectives add bookKeeping dummy
scoreboard objectives add respawn dummy
scoreboard objectives add coordX dummy
scoreboard objectives add coordY dummy
scoreboard objectives add coordZ dummy
scoreboard objectives add coordEntity dummy
scoreboard objectives add killCount playerKillCount
scoreboard objectives setdisplay list killCount
scoreboard objectives add killStreak playerKillCount {"text":"Killstreak","color":"gold"}
scoreboard objectives setdisplay belowName killStreak

# scoreboard for gun variables
scoreboard objectives add gunStats dummy
scoreboard objectives add gunId dummy
scoreboard objectives add class dummy
scoreboard objectives add coas minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add rightClick dummy
scoreboard objectives add cooldown dummy
scoreboard objectives add autoFire dummy
scoreboard objectives add autoDelay dummy
scoreboard objectives add relTime dummy
scoreboard objectives add relRepeat dummy
scoreboard objectives add autoReload dummy
scoreboard objectives add primary dummy
scoreboard objectives add secondary dummy
scoreboard objectives add hunger food
scoreboard objectives add sprintRecovery dummy
scoreboard objectives add health health
scoreboard objectives add hp dummy
scoreboard objectives add hpMax dummy
scoreboard objectives add hpDelay dummy
scoreboard objectives add range dummy
scoreboard objectives add closeDmg dummy
scoreboard objectives add longDmg dummy
scoreboard objectives add dropOff dummy
scoreboard objectives add iteration dummy
scoreboard objectives add stuckId dummy
scoreboard objectives add cmdLast dummy

# additional equipment variables
scoreboard objectives add holdEq dummy
scoreboard objectives add lethal dummy
scoreboard objectives add tactical dummy
scoreboard objectives add fuse dummy
scoreboard objectives add c4 dummy
scoreboard objectives add ti dummy

# perks
scoreboard objectives add sohP dummy
scoreboard objectives add lwP dummy
scoreboard objectives add saP dummy

# item modifiers
setblock 0 -64 0 yellow_shulker_box

# initialize teams
team add redTeam {"text":"Red Team"}
team modify redTeam color red
team modify redTeam nametagVisibility hideForOtherTeams
team modify redTeam collisionRule never
team add blueTeam {"text":"Blue Team"}
team modify blueTeam color blue
team modify blueTeam nametagVisibility hideForOtherTeams
team modify blueTeam collisionRule never
team add yellowTeam {"text":"Yellow Team"}
team modify yellowTeam color yellow
team modify yellowTeam collisionRule never


# gamerules
gamerule doEntityDrops false
gamerule doFireTick false
gamerule doImmediateRespawn false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule keepInventory true
gamerule mobGriefing false
gamerule naturalRegeneration false
gamerule commandBlockOutput false
gamerule logAdminCommands false
gamerule sendCommandFeedback false

# prompt marker setup process
scoreboard players set .generateMap bookKeeping 0
tellraw @s ["\n","Welcome to ",{"text":"Call of Duty Minecraft","bold":true,"underlined":true,"color":"gold"},"!\n\nTo start, there is a lengthy setup process, and it is ",{"text":"VERY IMPORTANT ","bold":true,"color":"red"},"that you complete the setup process precisely for the game to run smoothly with no bugs/glitches. So, there is a ",{"text":"HIGHLY RECOMMENDED ","bold":true,"color":"blue"},"YouTube video that explains everything in greater depth that you can watch by ",{"text":"CLICKING THIS TEXT","bold":true,"underlined":true,"color":"gold","clickEvent":{"action":"open_url","value":"https://youtu.be/4Sjdn0CusIA"},"hoverEvent":{"action":"show_text","contents":["Video Explanation. Trust me, no viruses."]}},".\n\nWhen you're ready to start the setup process, ",{"text":"please go to the ","italic":true},{"text":"north side ","color":"green"},{"text":"of the map you plan to play CoD on (negative Z direction) and face due north. ","italic":true},"Type the following command: ",{"text":"/function cod:gamemodes/generate/start_generate","underlined":true,"color":"aqua","clickEvent":{"action":"copy_to_clipboard","value":"/function cod:gamemodes/generate/start_generate"},"hoverEvent":{"action":"show_text","contents":["Click me to copy command to clipboard."]}}," to generate a hub where you will control all in-game settings.\n\nFollow the next set of text instructions that will pop up to complete the map setup. ",{"text":"Hope you have fun! \n","italic":true,"color":"yellow"}]